2 2

[alpine-aports] [PATCH 1/2] testing/sdl_net: new aport

Bobby Bingham
Details
Message ID
<20170805220317.30169-1-koorogi@koorogi.info>
Sender timestamp
1501970596
DKIM signature
missing
Download raw message
Patch: +42 -0
Networking add-on library for SDL
---
 testing/sdl_net/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/sdl_net/APKBUILD

diff --git a/testing/sdl_net/APKBUILD b/testing/sdl_net/APKBUILD
new file mode 100644
index 0000000000..2a0fb40aff
--- /dev/null
+++ b/testing/sdl_net/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Bobby Bingham <koorogi@koorogi.info>
+# Maintainer: Bobby Bingham <koorogi@koorogi.info>
+pkgname=sdl_net
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="Networking add-on library for SDL"
+url="http://www.libsdl.org/projects/SDL_net/"
+arch="all"
+license="zlib"
+depends=
+makedepends="sdl-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://www.libsdl.org/projects/SDL_net/release/SDL_net-${pkgver}.tar.gz"
+options="!check"
+
+_builddir="$srcdir"/SDL_net-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="2766ca55343127c619958ab3a3ae3052a27a676839f10a158f7dfc071b8db38c2f1fc853e8add32b9fef94ab07eaa986f46a68e264e8087b57c990af30ea9a0b  SDL_net-1.2.8.tar.gz"
-- 
2.13.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] unmaintained/dosbox: add dependency on sdl_net

Bobby Bingham
Details
Message ID
<20170805220317.30169-2-koorogi@koorogi.info>
In-Reply-To
<20170805220317.30169-1-koorogi@koorogi.info> (view parent)
Sender timestamp
1501970597
DKIM signature
missing
Download raw message
Patch: +3 -3
This is required for dosbox to emulate IPX networking for games.
---
 unmaintained/dosbox/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/unmaintained/dosbox/APKBUILD b/unmaintained/dosbox/APKBUILD
index dd986a51d2..c97b410633 100644
--- a/unmaintained/dosbox/APKBUILD
+++ b/unmaintained/dosbox/APKBUILD
@@ -1,13 +1,13 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=dosbox
 pkgver=0.74
-pkgrel=1
+pkgrel=2
 pkgdesc="x86/DOS emulator with sound and graphics"
 url="http://dosbox.com"
 arch="all"
 license="GPLv2+"
-depends="hicolor-icon-theme"
-depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev"
+depends="hicolor-icon-theme sdl_net"
+depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev sdl_net-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-- 
2.13.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH 2/2] unmaintained/dosbox: add dependency on sdl_net

Carlo Landmeter
Details
Message ID
<CA+cSEmNVQbPErmxNbdHkOv0MMpLiXZUBasuQNxZ0omRYPXJpTQ@mail.gmail.com>
In-Reply-To
<20170805220317.30169-2-koorogi@koorogi.info> (view parent)
Sender timestamp
1544447386
DKIM signature
missing
Download raw message
Hi,

We do not accept patches to unmaintained aports.

There is also work on this on github:
https://github.com/alpinelinux/aports/pull/697

-carlo

On Sun, 6 Aug 2017 at 00:03, Bobby Bingham <koorogi@koorogi.info> wrote:

> This is required for dosbox to emulate IPX networking for games.
> ---
>  unmaintained/dosbox/APKBUILD | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/unmaintained/dosbox/APKBUILD b/unmaintained/dosbox/APKBUILD
> index dd986a51d2..c97b410633 100644
> --- a/unmaintained/dosbox/APKBUILD
> +++ b/unmaintained/dosbox/APKBUILD
> @@ -1,13 +1,13 @@
>  # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
>  pkgname=dosbox
>  pkgver=0.74
> -pkgrel=1
> +pkgrel=2
>  pkgdesc="x86/DOS emulator with sound and graphics"
>  url="http://dosbox.com"
>  arch="all"
>  license="GPLv2+"
> -depends="hicolor-icon-theme"
> -depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev"
> +depends="hicolor-icon-theme sdl_net"
> +depends_dev="libpng-dev sdl-dev alsa-lib-dev glu-dev sdl_net-dev"
>  makedepends="$depends_dev"
>  install=""
>  subpackages="$pkgname-doc"
> --
> 2.13.3
>
>
>
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
>
>